package com.yidianling.dynamic.model;

import java.util.List;

/**
 * 帖子回复bean
 * Created by hgw on 2017/3/30.
 */

public class TrendsReplyBean {

    private List<TrendsInfoBean.ZanImg> members;//点赞头像

    private ReplyInfo info;//评论详情

    private Comment comment;//回复详情

    public List<TrendsInfoBean.ZanImg> getMembers() {
        return members;
    }

    public void setMembers(List<TrendsInfoBean.ZanImg> members) {
        this.members = members;
    }

    public ReplyInfo getInfo() {
        return info;
    }

    public void setInfo(ReplyInfo info) {
        this.info = info;
    }

    public Comment getComment() {
        return comment;
    }

    public void setComment(Comment comment) {
        this.comment = comment;
    }

    //评论详情
    public static class ReplyInfo{

        private int id;
        private String name;
        private String header;
        private int uid;
        private String content;
        private String time_str;
        private int zan_count;
        private int total_comments;//评论总数
        private int active_id;//主贴id

        public int getActive_id() {
            return active_id;
        }

        public void setActive_id(int active_id) {
            this.active_id = active_id;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getUid() {
            return uid;
        }

        public void setUid(int uid) {
            this.uid = uid;
        }

        public int getZan_count() {
            return zan_count;
        }

        public void setZan_count(int zan_count) {
            this.zan_count = zan_count;
        }

        public int getTotal_comments() {
            return total_comments;
        }

        public void setTotal_comments(int total_comments) {
            this.total_comments = total_comments;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getHeader() {
            return header;
        }

        public void setHeader(String header) {
            this.header = header;
        }

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getTime_str() {
            return time_str;
        }

        public void setTime_str(String time_str) {
            this.time_str = time_str;
        }

    }

    //回复详情
    public static class Comment{
        private int id;
        private int uid;
        private String name;
        private String content;
        private String header;
        private String time_str;
        private int gender;
        private int is_zan;
        private int user_type;//1普通用户2专家3助理
        private int is_delete;//是否已删除，1表示已删除

        public int getIs_delete() {
            return is_delete;
        }

        public void setIs_delete(int is_delete) {
            this.is_delete = is_delete;
        }

        public int getUser_type() {
            return user_type;
        }

        public void setUser_type(int user_type) {
            this.user_type = user_type;
        }

        public int getGender() {
            return gender;
        }

        public void setGender(int gender) {
            this.gender = gender;
        }

        public int getIs_zan() {
            return is_zan;
        }

        public void setIs_zan(int is_zan) {
            this.is_zan = is_zan;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getUid() {
            return uid;
        }

        public void setUid(int uid) {
            this.uid = uid;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getHeader() {
            return header;
        }

        public void setHeader(String header) {
            this.header = header;
        }

        public String getTime_str() {
            return time_str;
        }

        public void setTime_str(String time_str) {
            this.time_str = time_str;
        }
    }
}
